Bug 401621 - translate via google doesn't work
translate via google doesn't work
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: libtranslate (Show other bugs)
8
All Linux
low Severity medium
: ---
: ---
Assigned To: Dmitry Butskoy
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-11-27 13:50 EST by Timon
Modified: 2007-12-21 16:12 EST (History)
0 users

See Also:
Fixed In Version: 0.99-12.fc7
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-12-21 16:09:23 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
patch (683 bytes, patch)
2007-11-27 13:50 EST, Timon
no flags Details | Diff
Complete patch for testing (3.01 KB, patch)
2007-11-30 12:21 EST, Dmitry Butskoy
no flags Details | Diff
systran patch (1.59 KB, patch)
2007-12-05 06:55 EST, Timon
no flags Details | Diff
new systran patch (1.59 KB, patch)
2007-12-05 23:59 EST, Timon
no flags Details | Diff
Final services.xml variant (8.21 KB, text/plain)
2007-12-10 07:19 EST, Dmitry Butskoy
no flags Details

  None (edit)
Description Timon 2007-11-27 13:50:27 EST
google translate doesn't work
patch fix this problem
Comment 1 Timon 2007-11-27 13:50:27 EST
Created attachment 270061 [details]
patch
Comment 2 Dmitry Butskoy 2007-11-30 12:21:41 EST
Created attachment 274011 [details]
Complete patch for testing

Thanks.

I complete it for another languages on Google, and make the similar
changes for the Promt service (currently not working too) as well.

Please, test this patch. I'll update libtranslate on the next week then.

Could you test some another services (besides Google, Freetranslation and
Promt)?
Comment 3 Dmitry Butskoy 2007-11-30 12:25:40 EST
Some more questions:
- How you can estimate the translation quality of the Google service?
- Do you know about another patches for services.xml file? This file is actually
too old (Jan 2005), it is likely that people had already fixed something in it
as well...
Comment 4 Timon 2007-12-05 06:55:16 EST
Created attachment 278191 [details]
systran patch

will work only if https://bugzilla.redhat.com/show_bug.cgi?id=411861 will bew
resolved
Comment 5 Timon 2007-12-05 07:04:17 EST
services.xml from rusxmms project:
http://rusxmms.sourceforge.net/fixes/services.xml.bz2

tested services from libtranslate-0.99-9.fc6 with google patch
google - work
promt - work
babelfish - work
systrans - doesn't work, see patch and bug 411861
1-800-translate - doesn't work
tsunami - doesn't work
kataku and pipiamentu - work

we need review this list, may be we should add some services, maybe delete some
Comment 6 Timon 2007-12-05 23:59:03 EST
Created attachment 279211 [details]
new systran patch

newline fix
Comment 7 Fedora Update System 2007-12-07 16:30:36 EST
libtranslate-0.99-11.fc8 has been pushed to the Fedora 8 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update libtranslate'
Comment 8 Fedora Update System 2007-12-07 16:30:47 EST
libtranslate-0.99-11.fc7 has been pushed to the Fedora 7 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update libtranslate'
Comment 9 Timon 2007-12-08 15:41:07 EST
ok, works fine
but 
worldLingo, 1-800-translate and papiamentu services doesn't work
i thing this is info for another bug

Comment 10 Dmitry Butskoy 2007-12-10 07:17:11 EST
You have written in comment #5 that 
> kataku and pipiamentu - work
??.. ;)

I've fixed 1800translate and papiamentu, now it is working.

I've dropped tsunami and papiamentu, both had implemented some anti-robots
technique recently :(
Comment 11 Dmitry Butskoy 2007-12-10 07:19:02 EST
Created attachment 282711 [details]
Final services.xml variant

Please, check this final variant, before I start to do the next update...
Comment 12 Timon 2007-12-12 01:19:19 EST
checked, good 
Comment 13 Fedora Update System 2007-12-12 14:53:40 EST
libtranslate-0.99-12.fc8 has been pushed to the Fedora 8 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update libtranslate'
Comment 14 Fedora Update System 2007-12-12 14:57:11 EST
libtranslate-0.99-12.fc7 has been pushed to the Fedora 7 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update libtranslate'
Comment 15 Fedora Update System 2007-12-21 16:09:22 EST
libtranslate-0.99-12.fc7 has been pushed to the Fedora 7 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 16 Fedora Update System 2007-12-21 16:12:05 EST
libtranslate-0.99-12.fc8 has been pushed to the Fedora 8 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.